package eu.dnetlib.dhp.schema.oaf;

import java.util.Objects;

public class EntityDataInfo {
    private Boolean inferred;
    private Float trust;
    private String inferenceprovenance;
    private Qualifier provenanceaction;
    private Boolean invisible = false;
    private Boolean deletedbyinference = false;

    public Boolean getInferred() {
        return inferred;
    }

    public void setInferred(Boolean inferred) {
        this.inferred = inferred;
    }

    public Float getTrust() {
        return trust;
    }

    public void setTrust(Float trust) {
        this.trust = trust;
    }

    public String getInferenceprovenance() {
        return inferenceprovenance;
    }

    public void setInferenceprovenance(String inferenceprovenance) {
        this.inferenceprovenance = inferenceprovenance;
    }

    public Qualifier getProvenanceaction() {
        return provenanceaction;
    }

    public void setProvenanceaction(Qualifier provenanceaction) {
        this.provenanceaction = provenanceaction;
    }

    public Boolean getInvisible() {
        return invisible;
    }

    public void setInvisible(Boolean invisible) {
        this.invisible = invisible;
    }

    public Boolean getDeletedbyinference() {
        return deletedbyinference;
    }

    public void setDeletedbyinference(Boolean deletedbyinference) {
        this.deletedbyinference = deletedbyinference;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        EntityDataInfo dataInfo = (EntityDataInfo) o;
        return Objects.equals(inferred, dataInfo.inferred)
                && Objects.equals(trust, dataInfo.trust)
                && Objects.equals(inferenceprovenance, dataInfo.inferenceprovenance)
                && Objects.equals(provenanceaction, dataInfo.provenanceaction)
                && Objects.equals(deletedbyinference, dataInfo.deletedbyinference)
                && Objects.equals(invisible, dataInfo.invisible);
    }

    @Override
    public int hashCode() {
        return Objects.hash(
                inferred, trust, inferenceprovenance, provenanceaction, deletedbyinference, invisible);
    }

}
